#include <stdio.h>
#include <time.h>
#include <string.h>

int main() {
	//Settings
	char ANSWER[15] = "ADBDCDCDBBACDBA";	//答案
	int QNUM = 15;						//题目数量
	int CORRECT = 0;					//作答情况统计

	char *p_time = "2022-06-01 21:30:00";
	struct tm tm_time = {0};
	sscanf(p_time, "%4d-%2d-%2d %2d:%2d:%2d", &tm_time.tm_year, &tm_time.tm_mon, &tm_time.tm_mday, &tm_time.tm_hour,
	       &tm_time.tm_min, &tm_time.tm_sec);
	tm_time.tm_year -= 1900, tm_time.tm_mon--, tm_time.tm_isdst = 0;
	time_t time_set = mktime(&tm_time);
	time_set = 1654090200;
	time_t time_cur;
	time(&time_cur);
	fprintf(stderr, "Judger time settings: current:%lld, judge set at %lld\n", time_cur, time_set);
	if (time_cur < time_set) {
		printf("0");
		fprintf(stderr, "Your score will be judged after the end of this contest!");
	} else {
		FILE *IN = fopen("user_out", "r");
		for (int i = 1; i <= QNUM; i++) {
			char c = fgetc(IN);
			if (c == ANSWER[i - 1]) {
				CORRECT++;
			} else {
				fprintf(stderr, "Q%d. Your answer %c, correct answer %c\n", i, c, ANSWER[i - 1]);
			}
		}
		printf("%d", CORRECT);
		if (QNUM == CORRECT) {
			fprintf(stderr, "All correct, well done.\n");
		}
	}
}